## efibootmgr 0.3.4

=== Makefile ===
  default: all

  RELEASE_DATE := "9-August-2001"	
  RELEASE_MAJOR := 0
  RELEASE_MINOR := 3
  RELEASE_SUBLEVEL := 4
  RELEASE_EXTRALEVEL := 
  RELEASE_NAME := efibootmgr
  RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_SUBLEVEL)$(RELEASE_EXTRALEVEL)

  CFLAGS += -DEFIBOOTMGR_VERSION=\"$(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_SUBLEVEL)$(RELEASE_EXTRALEVEL)\"

  MODULES := src

  BINDIR := /bin

#--------------------------------------------
# Generic Makefile stuff is below. You 
#  should not have to modify any of the stuff
#  below.
#--------------------------------------------

#Included makefiles will add their deps for each stage in these vars:
  INSTALLDEPS :=
  CLEANDEPS :=
  ALLDEPS :=
  CLEANLIST :=

#Define the top-level build directory
  BUILDDIR := $(shell pwd)

#Include make rules from each submodule (subdirectory)
  include $(patsubst %,%/module.mk,$(MODULES))

  .PHONY: all clean install_list install install_link post_install tarball echotree default

  all:  $(ALLDEPS) 
  clean: clean_list $(CLEANDEPS) 

  clean_list:
	rm -f $(CLEANLIST)

  install_list: echotree $(INSTALLDEPS) 

  install: all 
	@make install_list | tools/install.pl copy

  install_link: all
	@make install_list | tools/install.pl link

  post_install: 

  tarball: clean
	-rm $(RELEASE_NAME)*.tar.gz
	cp -a ../$(RELEASE_NAME) ../$(RELEASE_STRING)
	find ../$(RELEASE_STRING) -name CVS -type d -depth -exec rm -rf {} \;
	cd ..; tar cvzf $(RELEASE_STRING).tar.gz $(RELEASE_STRING)
	mv ../$(RELEASE_STRING).tar.gz .
	rm -rf ../$(RELEASE_STRING)


#The rest of the docs...
  doc_TARGETS += COPYING README INSTALL

echotree:
	@# making directory tree 
	@#RPM FORMAT:
	@# %defattr(-, user, group) 
	@# %attr(4755,user,group)  filename
	@# filename

# Here is a list of variables that are assumed Local to each Makefile. You can
#   safely stomp on these values without affecting the build.
# 	MODULES
#	FILES
#	TARGETS
#	SOURCES

## efibootmgr 0.4.2

=== Makefile ===
--- 
+++ 
@@ -1,21 +1,21 @@
   default: all
 
-  RELEASE_DATE := "9-August-2001"	
+  RELEASE_DATE := "04-Sep-2003"
   RELEASE_MAJOR := 0
-  RELEASE_MINOR := 3
-  RELEASE_SUBLEVEL := 4
-  RELEASE_EXTRALEVEL := 
+  RELEASE_MINOR := 4
+  RELEASE_SUBLEVEL := 2
+  RELEASE_EXTRALEVEL :=
   RELEASE_NAME := efibootmgr
   RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_SUBLEVEL)$(RELEASE_EXTRALEVEL)
 
-  CFLAGS += -DEFIBOOTMGR_VERSION=\"$(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_SUBLEVEL)$(RELEASE_EXTRALEVEL)\"
+  CFLAGS += -DEFIBOOTMGR_VERSION=\"$(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_SUBLEVEL)$(RELEASE_EXTRALEVEL)\" -Wall
 
   MODULES := src
 
-  BINDIR := /bin
+  BINDIR := /usr/sbin
 
 #--------------------------------------------
-# Generic Makefile stuff is below. You 
+# Generic Makefile stuff is below. You
 #  should not have to modify any of the stuff
 #  below.
 #--------------------------------------------
@@ -53,7 +53,8 @@
   tarball: clean
 	-rm $(RELEASE_NAME)*.tar.gz
 	cp -a ../$(RELEASE_NAME) ../$(RELEASE_STRING)
-	find ../$(RELEASE_STRING) -name CVS -type d -depth -exec rm -rf {} \;
+	find ../$(RELEASE_STRING) -name CVS -type d -depth -exec rm -rf \{\} \;
+	sync; sync; sync;
 	cd ..; tar cvzf $(RELEASE_STRING).tar.gz $(RELEASE_STRING)
 	mv ../$(RELEASE_STRING).tar.gz .
 	rm -rf ../$(RELEASE_STRING)

## efibootmgr 0.4.9

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
   default: all
 
-  RELEASE_DATE := "04-Sep-2003"
+  RELEASE_DATE := "09-Jun-2004"
   RELEASE_MAJOR := 0
-  RELEASE_MINOR := 4
-  RELEASE_SUBLEVEL := 2
-  RELEASE_EXTRALEVEL :=
+  RELEASE_MINOR := 5
+  RELEASE_SUBLEVEL := 0
+  RELEASE_EXTRALEVEL := -test4
   RELEASE_NAME := efibootmgr
   RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_SUBLEVEL)$(RELEASE_EXTRALEVEL)

## efibootmgr 0.5.1

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
   default: all
 
-  RELEASE_DATE := "09-Jun-2004"
+  RELEASE_DATE := "08-Mar-2005"
   RELEASE_MAJOR := 0
   RELEASE_MINOR := 5
-  RELEASE_SUBLEVEL := 0
-  RELEASE_EXTRALEVEL := -test4
+  RELEASE_SUBLEVEL := 1
+  RELEASE_EXTRALEVEL :=
   RELEASE_NAME := efibootmgr
   RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_SUBLEVEL)$(RELEASE_EXTRALEVEL)

## efibootmgr 0.5.3

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,15 @@
   default: all
 
-  RELEASE_DATE := "08-Mar-2005"
+  RELEASE_DATE := "09-Nov-2005"
   RELEASE_MAJOR := 0
   RELEASE_MINOR := 5
-  RELEASE_SUBLEVEL := 1
+  RELEASE_SUBLEVEL := 3
   RELEASE_EXTRALEVEL :=
   RELEASE_NAME := efibootmgr
   RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_SUBLEVEL)$(RELEASE_EXTRALEVEL)
 
-  CFLAGS += -DEFIBOOTMGR_VERSION=\"$(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_SUBLEVEL)$(RELEASE_EXTRALEVEL)\" -Wall
+  CFLAGS += -DEFIBOOTMGR_VERSION=\"$(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_SUBLEVEL)$(RELEASE_EXTRALEVEL)\" \
+	    -Wall -g -D_FILE_OFFSET_BITS=64
 
   MODULES := src

## efibootmgr 0.5.4

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,14 @@
   default: all
 
-  RELEASE_DATE := "09-Nov-2005"
+  RELEASE_DATE := "03-Jan-2008"
   RELEASE_MAJOR := 0
   RELEASE_MINOR := 5
-  RELEASE_SUBLEVEL := 3
+  RELEASE_SUBLEVEL := 4
   RELEASE_EXTRALEVEL :=
   RELEASE_NAME := efibootmgr
   RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_SUBLEVEL)$(RELEASE_EXTRALEVEL)
 
-  CFLAGS += -DEFIBOOTMGR_VERSION=\"$(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_SUBLEVEL)$(RELEASE_EXTRALEVEL)\" \
+  CFLAGS = $(EXTRA_CFLAGS) -DEFIBOOTMGR_VERSION=\"$(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_SUBLEVEL)$(RELEASE_EXTRALEVEL)\" \
 	    -Wall -g -D_FILE_OFFSET_BITS=64
 
   MODULES := src
@@ -56,7 +56,7 @@
 	cp -a ../$(RELEASE_NAME) ../$(RELEASE_STRING)
 	find ../$(RELEASE_STRING) -name CVS -type d -depth -exec rm -rf \{\} \;
 	sync; sync; sync;
-	cd ..; tar cvzf $(RELEASE_STRING).tar.gz $(RELEASE_STRING)
+	cd ..; tar cvzf $(RELEASE_STRING).tar.gz --exclude=.git --exclude=\*~ $(RELEASE_STRING)
 	mv ../$(RELEASE_STRING).tar.gz .
 	rm -rf ../$(RELEASE_STRING)

=== debian/changelog ===
efibootmgr (0.5.4-7ubuntu1) trusty; urgency=medium

  * Remove device path padding on non-Itanium (LP: #1272664).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Mar 2014 13:48:08 +0000

efibootmgr (0.5.4-7) unstable; urgency=low

  * Add armhf to the architecture list. Closes: #715140
  * Fix -w option to leave an existing unique MBR signature intact. Thanks
    to Colin Watson for the patch (#708554)

 -- Steve McIntyre <93sam@debian.org>  Mon, 08 July 2013 12:21:10 +0100

efibootmgr (0.5.4-6) unstable; urgency=low

  * New maintainer. Thanks to Bdale for his sterling work so far!
    Closes: #707113
  * Git repo now hosted using collab-maint at alioth, update
    debian/control to point there.
  * Add extra handling for filelist-rpm so that clean/install works
    reliably and we can build twice in a row.

 -- Steve McIntyre <93sam@debian.org>  Thu, 09 May 2013 16:43:12 +0100

efibootmgr (0.5.4-5) unstable; urgency=low

  * orphaning this package as I no longer use it myself

 -- Bdale Garbee <bdale@gag.com>  Tue, 07 May 2013 09:34:15 -0600

efibootmgr (0.5.4-4) unstable; urgency=low

  * move to 3.0 (quilt) package source format
  * incorporate Fedora patch for sector size > 512 bytes at Colin Watson's 
    suggestion, closes: #698773
  * change computeroutput to programlisting to fix man page formatting issue,
    update rules to use docbook source for man page, closes: #680716

 -- Bdale Garbee <bdale@gag.com>  Wed, 23 Jan 2013 09:55:27 -0700

efibootmgr (0.5.4-3) unstable; urgency=low

  * add Vcs entries to the control file
  * update standards version
  * move to dh

 -- Bdale Garbee <bdale@gag.com>  Fri, 29 Jun 2012 08:18:06 -0600

efibootmgr (0.5.4-2) unstable; urgency=low

  * build depend on libpci-dev instead of pcituils-dev, closes: #478374

 -- Bdale Garbee <bdale@gag.com>  Mon, 28 Apr 2008 18:12:40 -0700

efibootmgr (0.5.4-1) unstable; urgency=low

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Sun, 24 Feb 2008 17:30:01 -0700

efibootmgr (0.5.3-3) unstable; urgency=low

  * fix FTBFS, closes: #450448
  * clean up a couple lintian warnings

 -- Bdale Garbee <bdale@gag.com>  Tue, 11 Dec 2007 23:04:09 -0700

efibootmgr (0.5.3-2) unstable; urgency=low

  * merge patch from Sam Hocevar (thanks!), closes: #389923

 -- Bdale Garbee <bdale@gag.com>  Fri, 20 Oct 2006 07:36:12 -0600

efibootmgr (0.5.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * src/include/gpt.h:
    + Fix GPT_HEADER_SIGNATURE declaration on 32bit architectures.
  * src/lib/efi.c:
    + Remove questionable "hack to allow include of ethtool.h".
    + Include asm/types.h so that proper types are defined (Closes: #389923).
  * debian/control:
    + Set policy to 3.7.2.
    + Uncapitalised short description.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun,  8 Oct 2006 14:21:38 +0200

efibootmgr (0.5.3-1) unstable; urgency=low

  * new upstream version, closes: #357884

 -- Bdale Garbee <bdale@gag.com>  Sat,  1 Apr 2006 22:00:02 -0800

efibootmgr (0.5.1-1) unstable; urgency=low

  * new upstream version. 

 -- Bdale Garbee <bdale@gag.com>  Thu, 10 Mar 2005 11:27:00 -0700

efibootmgr (0.5.0-1) unstable; urgency=low

  * new upstream version.  No code changes from 0.5.0-test4, which I called
    0.4.9 to avoid an epoch roll at this release... this upload just gets us
    back in version sync with the official release from upstream.

 -- Bdale Garbee <bdale@gag.com>  Sat, 28 Aug 2004 11:51:02 -0600

efibootmgr (0.4.9-0.sarge.2) testing; urgency=high

  * Base dependencies are frozen; this release reverts the portion of the
    test4 changes that added a dependency on pciutils.  Thanks to Dann Frazier
    for figuring this out and providing a suitable patch.  Closes: #268490

 -- Bdale Garbee <bdale@gag.com>  Fri, 27 Aug 2004 23:12:38 -0600

efibootmgr (0.4.9-0.sarge.1) testing; urgency=high

  * build 0.4.9-1 in testing chroot for sarge
  * new upstream version.  This is actually 0.5.0-test4, renumbered to avoid
    nastiness when 0.5.0 is released.  Upstream says 0.5.0 will be this code
    with a documentation change.  Closes: #258838, #235227
  * add pciutils-dev to build dependencies since we need libpci now
  * hack in a typedef to get a u64 definition for ethtool.h
  * urgency high because previous version fails with current 2.6 kernels

 -- Bdale Garbee <bdale@gag.com>  Wed, 18 Aug 2004 09:47:21 -0600

efibootmgr (0.4.9-1) unstable; urgency=high

  * new upstream version.  This is actually 0.5.0-test4, renumbered to avoid
    nastiness when 0.5.0 is released.  Upstream says 0.5.0 will be this code
    with a documentation change.  Closes: #258838, #235227
  * add pciutils-dev to build dependencies since we need libpci now
  * hack in a typedef to get a u64 definition for ethtool.h
  * urgency high because previous version fails with current 2.6 kernels

 -- Bdale Garbee <bdale@gag.com>  Wed, 18 Aug 2004 08:59:03 -0600

efibootmgr (0.4.2-4) unstable; urgency=low

  * add amd64 to the list of architectures to build on, closes: #249988

 -- Bdale Garbee <bdale@gag.com>  Sat, 22 May 2004 23:50:58 -0600

efibootmgr (0.4.2-3) unstable; urgency=low

  * patch from upstream to solve compilation problem, closes: #223146

 -- Bdale Garbee <bdale@gag.com>  Tue, 13 Jan 2004 11:20:20 +1030

efibootmgr (0.4.2-2) unstable; urgency=low

  * add i386 to list of supported architectures, since elilo depends on this
    package to support various options of the elilo shell script.  note that
    efibootmgr requires associated kernel support which probably isn't in 
    standard Debian kernels yet, but we'll deal with that when we get access
    to a real i386 system using EFI firmware...

 -- Bdale Garbee <bdale@gag.com>  Sat, 25 Oct 2003 15:23:59 -0600

efibootmgr (0.4.2-1) unstable; urgency=low

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Thu,  4 Sep 2003 15:38:46 -0600

efibootmgr (0.4.1-1) unstable; urgency=low

  * new upstream version, closes: #165956


=== debian/control ===
Source: efibootmgr
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper (>> 9), docbook-to-man, libpci-dev, zlib1g-dev
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/git/collab-maint/efibootmgr.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/efibootmgr.git

Package: efibootmgr
Architecture: amd64 i386 ia64 armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Interact with the EFI Boot Manager 
 This is a Linux user-space application to modify the Intel Extensible 
 Firmware Interface (EFI) Boot Manager configuration.  This application can 
 create and destroy boot entries, change the boot order, change the next 
 running boot option, and more.
 .
 Details on the EFI Boot Manager are available from the EFI Specification, 
 v1.02 or above, available from http://developer.intel.com.
 .
 Note: efibootmgr requires that the kernel module efivars be loaded prior 
 to use.  'modprobe efivars' should do the trick.

=== debian/rules ===
#!/usr/bin/make -f
# rules file for the efibootmgr package, requires debhelper / dh
# copyright 2012 by Bdale Garbee, GPLv2 or later

export DH_VERBOSE=1

%:
	dh $@

override_dh_installman:
	(cd src/man/man8 ; docbook-to-man efibootmgr.8.docbook > efibootmgr.8)
	dh_installman

override_dh_clean:
	rm -f src/man/man8/efibootmgr.8
	dh_clean

override_dh_install:
	# Re-add the mention of efibootmgr.8 to filelist-rpm that's
	# caused by the removal in the clean step above. filelist-rpm
	# shouldn't really be in the upstream tarball as it's
	# generated each time... :-(
	if (! grep -q efibootmgr.8 filelist-rpm) ; then echo " %attr(0444,root,root) /usr/share/man/man8/efibootmgr.8" >> filelist-rpm; fi
	dh_install

## efibootmgr 0.7.0

=== debian/changelog ===
efibootmgr (0.7.0-2ubuntu0.14.10.1) utopic-proposed; urgency=medium

  * debian/control: update maintainer.
  * debian/patches/git_fix_compare_sizes_895b702a.patch: fix data size in
    compare function, avoids using a duplicate boot var for newly created
    entries in the boot manager. (LP: #1363719)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 18 Feb 2015 09:03:10 -0500

efibootmgr (0.7.0-2) unstable; urgency=medium

  * Better debian/watch (thanks to Bart Martens)
  * Add patches to fix Clang builds (Closes: #753644)

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Mon, 07 Jul 2014 15:22:42 -0500

efibootmgr (0.7.0-1) unstable; urgency=medium

  * New version
  * Include commits
    - ae73435f: Get a lot more picky with our compiler warnings.
    - 0800648a: Remove bogus test for optional data length bounds.
    - daa62767: Only free hard drive signatures if we've allocated them.
  * Clean up debian/copyright to follow DEP-5 format
  * Don't touch man file since Peter isn't generating it from docbook source
  * Remove Build-Depends on docbook-to-man
  * Build-Depends on libefivar-dev since we're using efivar now
  * Add README.Debian for description on building source package
  * update debian/gbp.conf to reflect new upstream tag format
  * Also build on arm64

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Thu, 05 Jun 2014 16:44:45 -0500

efibootmgr (0.6.1-3) unstable; urgency=low

  * Fixed minor lintian issues
  * Updated maintainer/uploader fields
  * update debian-policy

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Tue, 15 Apr 2014 14:50:53 -0500

efibootmgr (0.6.1-2) unstable; urgency=low

  * upstream has efibootmgr.8 though it should be generated from the docbook
    file. don't delete it in dh_clean but dh_installman step
  * add debian/watch file pointing to github repo
  * add debian/gbp.conf so correct branch/tag information is used
  * fix lintian issues :)
  * gbp.conf: force use of unstable distribution

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Mon, 17 Mar 2014 18:50:22 -0500

efibootmgr (0.6.1-1) unstable; urgency=low

  * new upstream version
  * upstreamed and removed Debian-specific patches

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Mon, 13 Jan 2014 16:26:55 -0600

efibootmgr (0.6.0) unstable; urgency=low

  * new upstream version
  * upstreamed and removed Debian-specific patches

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Mon, 13 Jan 2014 16:26:55 -0600

=== debian/control ===
Source: efibootmgr
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Daniel Jared Dominguez <Jared_Dominguez@Dell.com>
Uploaders: Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper (>> 9), libpci-dev, zlib1g-dev, libefivar-dev
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/collab-maint/efibootmgr.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/efibootmgr.git

Package: efibootmgr
Architecture: amd64 i386 ia64 armhf arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Interact with the EFI Boot Manager 
 This is a Linux user-space application to modify the Intel Extensible 
 Firmware Interface (EFI) Boot Manager configuration. This application can 
 create and destroy boot entries, change the boot order, change the next 
 running boot option, and more.
 .
 Additional information about (U)EFI can be found at http://www.uefi.org/.
 .
 Note: efibootmgr requires that the kernel module efivars be loaded prior 
 to use. 'modprobe efivars' should do the trick if it does not 
 automatically load.

## efibootmgr 0.11.0

=== debian/changelog ===
efibootmgr (0.11.0-3) unstable; urgency=medium

  * Partially deal with #773007 so that we can mix and match 32/64-bit
    UEFI/kernel to our heart's content.

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Wed, 17 Dec 2014 22:41:50 -0600

efibootmgr (0.11.0-2) unstable; urgency=medium

  * Acknowledge NMU.
  * Provide more useful warning message if BootOrder is unset.
  * Preemptively take efi_variable_t patch so we don't have ugly collisions if
    newer efivar used.
  * Better handle unreadable boot variables (Closes: #768880).

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Mon, 15 Dec 2014 11:32:23 -0600

efibootmgr (0.11.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Skip dh_auto_install, it installs binary into /usr/sbin and is not
    actually needed with the current packaging (Closes: 768889)

 -- Andreas Bombe <aeb@debian.org>  Sat, 22 Nov 2014 15:38:43 +0100

efibootmgr (0.11.0-1) unstable; urgency=medium

  * New upstream version
  * Remove all quilt patches since they're upstream 

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Tue, 28 Oct 2014 23:40:46 -0500

efibootmgr (0.9.0-2) unstable; urgency=medium

  * Make multi-arch aware (Closes: #764796)
  * work on 32-bit x86 (Closes: #764797)

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Tue, 14 Oct 2014 12:57:14 -0500

efibootmgr (0.9.0-1) unstable; urgency=medium

  * New upstream version
  * Debian policy 3.9.6
  * Build on armel too (Closes: #762621)

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Wed, 01 Oct 2014 15:31:27 -0500

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: efibootmgr
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Jared Dominguez <Jared_Dominguez@Dell.com>
+Maintainer: Daniel Jared Dominguez <Jared_Dominguez@Dell.com>
 Uploaders: Steve McIntyre <93sam@debian.org>
 Build-Depends: debhelper (>> 9), libpci-dev, zlib1g-dev, libefivar-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/efibootmgr.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/efibootmgr.git
 
 Package: efibootmgr
-Architecture: amd64 i386 ia64 armhf arm64
+Architecture: amd64 i386 ia64 armhf arm64 armel
+Multi-Arch: foreign
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Interact with the EFI Boot Manager 
  This is a Linux user-space application to modify the Intel Extensible

## efibootmgr 0.12

=== Makefile ===
  default: all

  SIGNING_KEY := pjones
  RELEASE_MAJOR := 0
  RELEASE_MINOR := 12
  RELEASE_NAME := efibootmgr
  VERSION := $(RELEASE_MAJOR).$(RELEASE_MINOR)
  RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_MAJOR).$(RELEASE_MINOR)

  CFLAGS = $(EXTRA_CFLAGS) -DEFIBOOTMGR_VERSION=\"$(RELEASE_MAJOR).$(RELEASE_MINOR)\" \
	    -Wsign-compare -Wall -Werror -g -D_FILE_OFFSET_BITS=64 \
	    -I/usr/include/efivar

  MODULES := src

  BINDIR := /usr/sbin

#--------------------------------------------
# Generic Makefile stuff is below. You
#  should not have to modify any of the stuff
#  below.
#--------------------------------------------

#Included makefiles will add their deps for each stage in these vars:
  INSTALLDEPS :=
  CLEANDEPS :=
  ALLDEPS := efibootmgr.spec
  CLEANLIST := efibootmgr.spec

#Define the top-level build directory
  BUILDDIR := $(shell pwd)

#Include make rules from each submodule (subdirectory)
  include $(patsubst %,%/module.mk,$(MODULES))

  .PHONY: all clean install_list install install_link post_install tarball echotree default tag archive test-archive

  all:  $(ALLDEPS)
  clean: clean_list $(CLEANDEPS) 

  clean_list:
	rm -f $(CLEANLIST)

  install_list: echotree $(INSTALLDEPS) 

  install: all 
	@make install_list | tools/install.pl copy

  install_link: all
	@make install_list | tools/install.pl link

  post_install: 

GITTAG = $(RELEASE_STRING)

efibootmgr.spec : efibootmgr.spec.in Makefile
	@sed -e "s,@@VERSION@@,$(VERSION),g" $< > $@

test-archive: efibootmgr.spec
	@rm -rf /tmp/$(RELEASE_STRING) /tmp/$(RELEASE_STRING)-tmp
	@mkdir -p /tmp/$(RELEASE_STRING)-tmp
	@git archive --format=tar $(shell git branch | awk '/^*/ { print $$2 }') | ( cd /tmp/$(RELEASE_STRING)-tmp/ ; tar x )
	@git diff | ( cd /tmp/$(RELEASE_STRING)-tmp/ ; patch -s -p1 -b -z .gitdiff )
	@mv /tmp/$(RELEASE_STRING)-tmp/ /tmp/$(RELEASE_STRING)/
	@cp efibootmgr.spec /tmp/$(RELEASE_STRING)/
	@dir=$$PWD; cd /tmp; tar -c --bzip2 -f $$dir/$(RELEASE_STRING).tar.bz2 $(RELEASE_STRING)
	@rm -rf /tmp/$(RELEASE_STRING)
	@echo "The archive is in $(RELEASE_STRING).tar.bz2"

tag:
	git tag -s $(GITTAG) refs/heads/master

archive: tag efibootmgr.spec
	@rm -rf /tmp/$(RELEASE_STRING) /tmp/$(RELEASE_STRING)-tmp
	@mkdir -p /tmp/$(RELEASE_STRING)-tmp
	@git archive --format=tar $(GITTAG) | ( cd /tmp/$(RELEASE_STRING)-tmp/ ; tar x )
	@mv /tmp/$(RELEASE_STRING)-tmp/ /tmp/$(RELEASE_STRING)/
	@cp efibootmgr.spec /tmp/$(RELEASE_STRING)/
	@dir=$$PWD; cd /tmp; tar -c --bzip2 -f $$dir/$(RELEASE_STRING).tar.bz2 $(RELEASE_STRING)
	@rm -rf /tmp/$(RELEASE_STRING)
	@echo "The archive is in $(RELEASE_STRING).tar.bz2"

tarball: archive

#The rest of the docs...
  doc_TARGETS += COPYING README INSTALL

echotree:
	@# making directory tree 
	@#RPM FORMAT:
	@# %defattr(-, user, group) 
	@# %attr(4755,user,group)  filename
	@# filename

# Here is a list of variables that are assumed Local to each Makefile. You can
#   safely stomp on these values without affecting the build.
# 	MODULES
#	FILES
#	TARGETS
#	SOURCES

=== src/Makefile ===
%:
	+make -C ../ $*

=== debian/changelog ===
efibootmgr (0.12-4) unstable; urgency=medium

  * Make it a little clearer what's going on when efi_del_variable() fails.

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Mon, 13 Jul 2015 14:34:25 -0500

efibootmgr (0.12-3) unstable; urgency=medium

  * Delete BootOrder only when necessary (PR 32)
  * Set guid when reading boot entries in read_vars (PR 27)

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Wed, 24 Jun 2015 10:15:27 -0500

efibootmgr (0.12-2) unstable; urgency=medium

  * We need to rebuild for the library version change in efivar 0.20-2

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Tue, 23 Jun 2015 15:56:05 -0500

efibootmgr (0.12-1) unstable; urgency=medium

  * New upstream release
  * Upstream doesn't use libpci-dev or zlib1g-dev so let's not
  * We don't need any of the << 0.12-1 quilt patches anymore
  * Welcome to the one decimal point era!
  * We need efivar >= 0.19
  * pkg-config is now needed

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Mon, 01 Jun 2015 12:09:26 -0500

efibootmgr (0.11.0-4) unstable; urgency=medium

  * fix include path for libefivar

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Wed, 20 May 2015 12:54:19 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Daniel Jared Dominguez <Jared_Dominguez@Dell.com>
 Uploaders: Steve McIntyre <93sam@debian.org>
-Build-Depends: debhelper (>> 9), libpci-dev, zlib1g-dev, libefivar-dev
+Build-Depends: debhelper (>> 9), pkg-config, libefivar-dev (>= 0.20-2)
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/efibootmgr.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/efibootmgr.git

=== debian/rules ===
#!/usr/bin/make -f
# rules file for the efibootmgr package, requires debhelper / dh
# copyright 2012 by Bdale Garbee, GPLv2 or later

export DH_VERBOSE=1
export DH_OPTIONS=-v

%:
	dh $@

# upstream build installs into /usr/sbin ignoring target directory;
# since the install step is not actually needed just skip it
override_dh_auto_install:

override_dh_installman:
	dh_installman

override_dh_clean:
	dh_clean

override_dh_install:
	dh_install

=== debian/watch ===
# You can run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

#opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/efibootmgr-$1\.tar\.gz/ \
#https://github.com/vathpela/efibootmgr/tags .*/v?(\d\S*)\.tar\.gz

https://github.com/vathpela/efibootmgr/releases \
.*[^n]/(?:|v|version-|r|REL_|rel-|efibootmgr(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## efibootmgr 15

=== Makefile ===
TOPDIR = $(shell echo $$PWD)

include $(TOPDIR)/Make.version
include $(TOPDIR)/Make.rules
include $(TOPDIR)/Make.defaults

SUBDIRS := src

all clean install deps : | check_efidir_error Make.version
	@set -e ; for x in $(SUBDIRS) ; do \
		$(MAKE) -C $$x $@ ; \
	done

all : efibootmgr.spec

efibootmgr efibootmgr-static :
	$(MAKE) -C src $@

$(SUBDIRS) :
	$(MAKE) -C $@

.PHONY: $(SUBDIRS) 

efibootmgr.spec : | Makefile Make.version

distclean :
	$(MAKE) clean
	@rm -vf efibootmgr.spec

GITTAG = $(VERSION)

test-archive: efibootmgr.spec
	@rm -rf /tmp/efibootmgr-$(VERSION) /tmp/efibootmgr-$(VERSION)-tmp
	@mkdir -p /tmp/efibootmgr-$(VERSION)-tmp
	@git archive --format=tar $(shell git branch | awk '/^*/ { print $$2 }') | ( cd /tmp/efibootmgr-$(VERSION)-tmp/ ; tar x )
	@git diff | ( cd /tmp/efibootmgr-$(VERSION)-tmp/ ; patch -s -p1 -b -z .gitdiff )
	@mv /tmp/efibootmgr-$(VERSION)-tmp/ /tmp/efibootmgr-$(VERSION)/
	@cp efibootmgr.spec /tmp/efibootmgr-$(VERSION)/
	@dir=$$PWD; cd /tmp; tar -c --bzip2 -f $$dir/efibootmgr-$(VERSION).tar.bz2 efibootmgr-$(VERSION)
	@rm -rf /tmp/efibootmgr-$(VERSION)
	@echo "The archive is in efibootmgr-$(VERSION).tar.bz2"

tag:
	git tag -s $(GITTAG) refs/heads/master

archive: tag efibootmgr.spec
	@rm -rf /tmp/efibootmgr-$(VERSION) /tmp/efibootmgr-$(VERSION)-tmp
	@mkdir -p /tmp/efibootmgr-$(VERSION)-tmp
	@git archive --format=tar $(GITTAG) | ( cd /tmp/efibootmgr-$(VERSION)-tmp/ ; tar x )
	@mv /tmp/efibootmgr-$(VERSION)-tmp/ /tmp/efibootmgr-$(VERSION)/
	@cp efibootmgr.spec /tmp/efibootmgr-$(VERSION)/
	@dir=$$PWD; cd /tmp; tar -c --bzip2 -f $$dir/efibootmgr-$(VERSION).tar.bz2 efibootmgr-$(VERSION)
	@rm -rf /tmp/efibootmgr-$(VERSION)
	@echo "The archive is in efibootmgr-$(VERSION).tar.bz2"

=== debian/changelog ===
efibootmgr (15-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:48:48 +0800

efibootmgr (15-1) unstable; urgency=medium

  * New upstream version (15)
  * drop no_fshort-wchar.patch which is now upstream
  * Set EFIDIR in debian/rules

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 21 Apr 2017 10:21:11 -0500

efibootmgr (14-2) unstable; urgency=medium

  * Don't use -fshort-wchar when building - it's not needed and is causing
    build failures with gcc 6. Closes: #849651

 -- Steve McIntyre <93sam@debian.org>  Fri, 06 Jan 2017 17:42:11 +0000

efibootmgr (14-1) unstable; urgency=medium

  * New upstream version (14)
  * debian/control:
  - Require newer efivar.
  * Update uploader email addresses
  * Add x32 to architectures (Closes: #777074)

 -- Mario Limonciello <mario.limonciello@dell.com>  Thu, 29 Sep 2016 10:39:14 -0500

efibootmgr (13-1) unstable; urgency=medium

  * New upstream version (13).
  * Tighten libefivar build-depends
  * Add files for shuffled paths in newer efibootmgr
  * drop all patches
  * debian/control: clean up some lintian complaints.
  * Add Mario to uploaders

 -- Mario Limonciello <mario_limonciello@dell.com>  Thu, 18 Aug 2016 13:26:06 -0500

efibootmgr (0.12-5) unstable; urgency=low

  * update VCS info
  * use debian-efi list as maintainer

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Wed, 29 Jul 2015 19:59:05 -0500

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: efibootmgr
 Section: admin
 Priority: optional
-Maintainer: Daniel Jared Dominguez <Jared_Dominguez@Dell.com>
-Uploaders: Steve McIntyre <93sam@debian.org>
-Build-Depends: debhelper (>> 9), pkg-config, libefivar-dev (>= 0.20-2)
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/collab-maint/efibootmgr.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/efibootmgr.git
+Maintainer: Debian UEFI Maintainers <debian-efi@lists.debian.org>
+Uploaders: Daniel Jared Dominguez <jared.dominguez@dell.com>, Steve McIntyre <93sam@debian.org>, Mario Limonciello <mario.limonciello@dell.com>
+Build-Depends: debhelper (>> 9), pkg-config, libefivar-dev (>= 30), libefiboot-dev (>= 30), libpopt-dev
+Standards-Version: 3.9.8
+Vcs-Git: git://anonscm.debian.org/uefi/efibootmgr.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=uefi/efibootmgr.git
 
 Package: efibootmgr
-Architecture: amd64 i386 ia64 armhf arm64 armel
+Architecture: amd64 i386 ia64 armhf arm64 armel x32 loongarch64
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}

## efibootmgr 17

=== src/Makefile ===
SRCDIR = $(realpath .)
TOPDIR = $(realpath ..)

include $(TOPDIR)/Make.version
include $(TOPDIR)/Make.rules
include $(TOPDIR)/Make.defaults

SUBDIR_CFLAGS = -I$(SRCDIR)/include

BINTARGETS=efibootmgr efibootdump
TARGETS=$(BINTARGETS)

all : deps $(TARGETS)

EFIBOOTMGR_SOURCES = efibootmgr.c efi.c unparse_path.c
EFICONMAN_SOURCES = eficonman.c
EFIBOOTDUMP_SOURCES = efibootdump.c unparse_path.c
EFIBOOTNEXT_SOURCES = efibootnext.c
ALL_SOURCES=$(EFIBOOTMGR_SOURCES)
-include $(call deps-of,$(ALL_SOURCES))

efibootmgr : $(call objects-of,$(EFIBOOTMGR_SOURCES))
efibootmgr : PKGS=efivar efiboot

eficonman : $(call objects-of,$(EFICONMAN_SOURCES))
eficonman : PKGS=efivar efiboot popt

efibootdump : $(call objects-of,$(EFIBOOTDUMP_SOURCES))
efibootdump : PKGS=efivar efiboot popt

efibootnext : $(call objects-of,$(EFIBOOTNEXT_SOURCES))
efibootnext : PKGS=efivar efiboot popt

deps : $(ALL_SOURCES)
	$(MAKE) -f $(TOPDIR)/Make.deps deps SOURCES="$(ALL_SOURCES)" SUBDIR_CFLAGS="$(SUBDIR_CFLAGS)"

clean :
	@rm -rfv *.o *.a *.so $(TARGETS)
	@rm -rfv .*.d

install :
	$(INSTALL) -d -m 755 $(DESTDIR)/$(sbindir)/
	$(INSTALL) -m 755 efibootmgr $(DESTDIR)/$(sbindir)/efibootmgr
	$(INSTALL) -m 755 efibootdump $(DESTDIR)/$(sbindir)/efibootdump
	$(INSTALL) -d -m 755 $(DESTDIR)/$(mandir)/man8/
	$(INSTALL) -m 644 efibootmgr.8 $(DESTDIR)/$(mandir)/man8/efibootmgr.8
	$(INSTALL) -m 644 efibootdump.8 $(DESTDIR)/$(mandir)/man8/efibootdump.8

.PHONY : all deps clean install

=== debian/changelog ===
efibootmgr (17-2deepin1) unstable; urgency=medium

  * Add loong64 support

 -- Han Gao <gaohan@deepin.org>  Tue, 31 Jan 2023 19:41:58 +0800

efibootmgr (17-2) unstable; urgency=medium

  [ Steve McIntyre ]
  * Remove Jared from Uploaders

  [ Heinrich Schuchardt ]
  * enable building on riscv64 (LP #1938795).
    Closes: #959498

  [ Julian Andres Klode ]
  * Use debhelper-compat (= 13) instead of debian/compat 9.
  * Bump Standards-Version to 4.5.1

 -- Steve McIntyre <93sam@debian.org>  Sun, 18 Dec 2022 19:51:40 +0000

efibootmgr (17-1) unstable; urgency=medium

  [ Steve McIntyre ]
  * Move git repo from alioth to salsa.d.o

  [ Mario Limonciello ]
  * New upstream version (17)
  * Update to new standards version.
  * Backport a patch to build against efivar 37.

 -- Mario Limonciello <mario.limonciello@dell.com>  Wed, 19 Feb 2020 16:13:57 -0600

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: admin
 Priority: optional
 Maintainer: Debian UEFI Maintainers <debian-efi@lists.debian.org>
-Uploaders: Daniel Jared Dominguez <jared.dominguez@dell.com>, Steve McIntyre <93sam@debian.org>, Mario Limonciello <mario.limonciello@dell.com>
-Build-Depends: debhelper (>> 9), pkg-config, libefivar-dev (>= 30), libefiboot-dev (>= 30), libpopt-dev
-Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/uefi/efibootmgr.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=uefi/efibootmgr.git
+Uploaders: Steve McIntyre <93sam@debian.org>, Mario Limonciello <mario.limonciello@dell.com>
+Build-Depends: debhelper-compat (= 13), pkg-config, libefivar-dev (>= 30), libefiboot-dev (>= 30), libpopt-dev
+Standards-Version: 4.5.1
+Vcs-Git: https://salsa.debian.org/efi-team/efibootmgr.git
+Vcs-Browser: https://salsa.debian.org/efi-team/efibootmgr
 
 Package: efibootmgr
-Architecture: amd64 i386 ia64 armhf arm64 armel x32 loongarch64
+Architecture: amd64 i386 ia64 armhf arm64 armel riscv64 x32 mips64el loong64
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}

## efibootmgr 18

=== debian/changelog ===
efibootmgr (18-2ubuntu1) resolute; urgency=medium

  [ Nick Rosbrook ]
  * debian/.gitignore: un-ignore patches

  [ Tomohiro Masubuchi ]
  * Fixed that active and inactive commands cannot find any entries except
    last one (LP: #2112632)

 -- Tomohiro Masubuchi <tomohiro.masubuchi@groove-x.com>  Mon, 20 Oct 2025 15:39:45 -0400

efibootmgr (18-2) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Install into usrmerged layout. Closes #1073688

 -- Steve McIntyre <93sam@debian.org>  Mon, 15 Jul 2024 00:59:05 +0100

efibootmgr (18-1) unstable; urgency=medium

  [ Steve McIntyre ]
  * New upstream version (18)
    + Remove old patch, no longer needed.
  * Switch build to be arch:any. The build-dep on libefivar-dev will
    limit things to supported EFI platforms.

 -- Steve McIntyre <93sam@debian.org>  Mon, 06 Nov 2023 00:14:02 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: efibootmgr
 Section: admin
 Priority: optional
-Maintainer: Debian UEFI Maintainers <debian-efi@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian UEFI Maintainers <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>, Mario Limonciello <mario.limonciello@dell.com>
 Build-Depends: debhelper-compat (= 13), pkg-config, libefivar-dev (>= 30), libefiboot-dev (>= 30), libpopt-dev
 Standards-Version: 4.5.1
@@ -9,7 +10,7 @@
 Vcs-Browser: https://salsa.debian.org/efi-team/efibootmgr
 
 Package: efibootmgr
-Architecture: amd64 i386 ia64 armhf arm64 armel riscv64 x32 mips64el loong64
+Architecture: any
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f
# rules file for the efibootmgr package, requires debhelper / dh
# copyright 2012 by Bdale Garbee, GPLv2 or later

export DH_VERBOSE=1
export DH_OPTIONS=-v

EFIDIR ?= $(shell dpkg-vendor --query vendor | awk '{ print tolower($$0) }')

%:
	dh $@

override_dh_auto_build:
	dh_auto_build  -- EFIDIR=$(EFIDIR)

# upstream build installs into /usr/sbin ignoring target directory;
# since the install step is not actually needed just skip it
override_dh_auto_install:

override_dh_auto_clean:
	dh_auto_clean -- EFIDIR=$(EFIDIR)

=== debian/watch ===
--- 
+++ 
@@ -7,5 +7,5 @@
 #opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/efibootmgr-$1\.tar\.gz/ \
 #https://github.com/vathpela/efibootmgr/tags .*/v?(\d\S*)\.tar\.gz
 
-https://github.com/vathpela/efibootmgr/releases \
+https://github.com/rhinstaller/efibootmgr/releases \
 .*[^n]/(?:|v|version-|r|REL_|rel-|efibootmgr(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
